Search for media not in category (similar to Mayflower Search)
Closed, DeclinedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
Deskana, wikibugs-l
Projects
Reference
bz22269
Description

Author: test5555

Description:
With Mayflower search, there was the possibility to search for a term and exclude all files in a category. This helped when categorizing images at Commons.

Sample:

"Tree -Category:Trees"
 
http://toolserver.org/~tangotango/mayflower/search.php?q=Tree&ic=&ec=Trees&ft=any&sc=gt&sv=&ds=&t=n&z=12&a=3 (broken)

It would be nice if this was possible with the standard search at Commons (possibly with Lucene).

*Mayflower search hasn't been updated and is broken for some time.
*A current workaround is to compare the list of results from search with the list from categories.
*[[Bugzilla:21317]] might be related to this.


Version: unspecified
Severity: enhancement
Whiteboard: cirrus-fixed
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=2285

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz22269.
bzimport created this task.Via LegacyJan 25 2010, 8:09 PM
Mormegil added a comment.Via ConduitJan 25 2010, 8:56 PM

"Tree -incategory:Trees"

However, this has limitations, most notably it searches only the category itself, not the whole subcategory tree (therefore it does not do anything useful in this specific example; try e.g. http://commons.wikimedia.org/w/index.php?title=Special%3ASearch&search=Su-22+-incategory%3A%22Sukhoi+Su-22%22). But that would be (AFAICT/IMHO) practically an impossible task to do, anyway.

bzimport added a comment.Via ConduitJan 25 2010, 11:12 PM

test5555 wrote:

Thanks. It seems to work when using
"Su-22" -incategory:"Sukhoi Su-22"
instead of
Su-22 -incategory:"Sukhoi Su-22"

Obviously, sometimes subcategories should be checked too, but I don't think Mayflower did that either. One had to list each one separately.

bzimport added a comment.Via ConduitJan 25 2010, 11:33 PM

test5555 wrote:

/Search result page format/

(1) To avoid that I forget about this, when searching for "Su-22", it might help
if there was a link next the categories to exclude
results from this category,
e.g. next to the category "Sukhoi Su-22", the link would search for
"Su-22" -incategory:"Sukhoi Su-22"

The link could be titled something like "exclude results from this category".

(2) This might even work recursively. When continuing with
"Su-22" -incategory:"Sukhoi Su-22"
one could exlude further categories that get listed.

bzimport added a comment.Via ConduitAug 19 2011, 7:12 PM

mhershberger wrote:

Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734

Aklapper added a comment.Via ConduitMar 26 2013, 11:19 AM

[Merging "MediaWiki extensions/Lucene Search" into "Wikimedia/lucene-search2", see bug 46542. You can filter bugmail for: search-component-merge-20130326 ]

Deskana added a comment.Via ConduitFeb 8 2014, 2:34 AM

This CirrusSearch query on Commons supports this behaviour: https://commons.wikimedia.org/w/index.php?title=Special%3ASearch&profile=default&search=Tree+-incategory%3A%22Trees%22&fulltext=Search

As we're in the process of migrating from Lucene to CirrusSearch, I'm marking this bug as RESOLVED WONTFIX.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.